textures/shadow_faust/pool3d_3c
{
cull none
surfaceparm nolightmap
surfaceparm trans
surfaceparm water
qer_editorimage textures/shadow_faust/pool3d_3c.tga
qer_trans 0.500000

	{
	map $whiteimage
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen oneMinusDot
	rgbGen constant 0.000000 0.250000 0.750000
	}
	if mtex
		{
		map textures/shadow_faust/pool3d_5c.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 0.330000 0.330000
		tcMod turb 0.000000 0.200000 0.000000 0.100000
	nextbundle
		map textures/shadow_faust/pool3d_6c.tga
		tcMod scale 0.660000 0.660000
		tcMod scroll -0.050000 -0.030000
		}
	endif
	{
	map textures/shadow_faust/pool3d_5c.tga
	blendFunc GL_SRC_ALPHA GL_ONE
	alphaGen lightingSpecular
	tcMod scroll 0.070000 -0.040000
	}
}
textures/shadow_faust/redmetalsupport2fline
{
	q3map_surfacelight 100
	q3map_lightimage textures/shadow_faust/redmetalsupport2fline_glow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/shadow_faust/redmetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}


}
textures/shadow_faust/flare2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	cull none

	{
		animMap 20 textures/shadow_faust/flare2.tga textures/shadow_faust/flare3.tga textures/shadow_faust/flare4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}
textures/shadow_faust/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/shadow_faust/beam_blue.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/shadow_faust/greymetal1b_chrome
{
	qer_editorimage textures/shadow_faust/greymetal1b_shiny.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/shadow_faust/greymetal1b_shiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/shadow_faust/greymetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/shadow_faust/greymetal1b_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}
textures/shadow_faust/greymetal2_shiny
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/shadow_faust/greymetal2_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}		
}

textures/shadow_faust/light5_3000
{
	qer_editorimage textures/shadow_faust/light.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shadow_faust/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/base_light/xlight5.blend.tga
//		blendFunc GL_ONE GL_ONE
//	}
}
textures/shadow_faust/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
           
}
textures/shadow_faust/nightsky_xian_dm1
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 5
	q3map_sun 1 1 1 10 -41 58

	qer_editorimage textures/skies/xnight2_up.tga


	skyparms env/xnight2 - -
}
textures/shadow_faust/glass_special
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/shadow_faust/tinfx.tga
                tcgen environment
		blendFunc add
		rgbGen identity
	}
           
}
textures/shadow_faust/clear_ripple1
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

//		{
//			map $lightmap
//			blendFunc GL_dst_color GL_zero
//			rgbgen identity		
//		}

}
textures/shadow_faust/blue_floor_arrow
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/blue_floor_arrow.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		tcMod scroll 0 .25
		AlphaGen wave sin .5 .6 -.15 .25
	}
}

textures/shadow_faust/blue_floor_arrow_stripe
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/blue_floor_arrow_stripe.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		tcMod scroll 0 .25
		AlphaGen wave sin .5 .6 -.15 .25
	}
}

textures/shadow_faust/blue_static_arrow
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/blue_static_arrow.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		AlphaGen wave sin .3 .3 -.15 .1
	}
}

textures/shadow_faust/flare2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	cull none

	{
		animMap 20 textures/shadow_faust/flare2.tga textures/shadow_faust/flare3.tga textures/shadow_faust/flare4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/shadow_faust/portal_sfx
{
	portal
	surfaceparm nolightmap
	surfaceparm noimpact
	qer_editorimage textures/shadow_faust/portal_sfx3.tga

	{
		map textures/shadow_faust/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/shadow_faust/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 20000
		rgbGen identityLighting
	}
}

textures/shadow_faust/q3blue2
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/q3blue2.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		AlphaGen wave sin .3 .3 -.15 .1
	}
}

textures/shadow_faust/q3red2
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/q3red2.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		AlphaGen wave sin .3 .3 -.15 .1
	}
}

textures/shadow_faust/red_floor_arrow
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/red_floor_arrow.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		tcMod scroll 0 .25
		AlphaGen wave sin .4 .5 -.15 .25
	}
}

textures/shadow_faust/red_floor_arrow_stripe
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/red_floor_arrow_stripe.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		tcMod scroll 0 .25
		AlphaGen wave sin .4 .5 -.15 .25
	}
}

textures/shadow_faust/red_static_arrow
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/red_static_arrow.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		AlphaGen wave sin .4 .5 -.15 .1
	}
}

textures/shadow_faust/steam
{
	polygonOffset
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/steam.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		tcMod scroll 0 4
	}
}

textures/shadow_faust/trimtl_grlbtm_light
{
	q3map_surfacelight 250
	q3map_lightimage textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
	qer_editorimage textures/shadow_faust/trimtl_grlbtm_light.tga

	{
		map textures/shadow_faust/trimtl_grlbtm_light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 1
	}
}

textures/shadow_faust/trimtl_grlbtm_light1
{
	q3map_surfacelight 250
	q3map_lightimage textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
	qer_editorimage textures/shadow_faust/trimtl_grlbtm_light2.tga

	{
		map textures/shadow_faust/trimtl_grlbtm_light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .5 .3 .5
	}
}

textures/shadow_faust/trimtl_grlbtm_light2
{
	q3map_surfacelight 250
	q3map_lightimage textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
	qer_editorimage textures/shadow_faust/trimtl_grlbtm_light2.tga

	{
		map textures/shadow_faust/trimtl_grlbtm_light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .5 .3 .5
	}
}

textures/shadow_faust/trimtl_grlbtm_light3
{
	q3map_surfacelight 300
	q3map_lightimage textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
	qer_editorimage textures/shadow_faust/trimtl_grlbtm_light3.tga

	{
		map textures/shadow_faust/trimtl_grlbtm_light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shadow_faust/trimtl_grlbtm_light_blnd.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .5 .6 .5
	}
}

textures/shadow_faust/yellowtube
{
	deformVertexes autoSprite2 
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/shadow_faust/yellowtube.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod scroll 0 .8
	}
}
textures/shadow_faust/glowwater
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm water
	q3map_surfacelight 2500
	tesssize 256
	cull disable
	fogparms ( 1.000000 1.000000 1.000000 ) 256

	{
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.001 .1
	}
	{
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.01
	}
	{
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .15
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}
textures/shadow_faust/nebula
{
	qer_editorimage textures/skies/xnight2_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

        skyparms textures/shadow_faust/env/nebula - -
}
textures/shadow_faust/blue_water
{
	qer_editorimage textures/liquids/pool3d_5e.tga
	q3map_globaltexture
	qer_trans .20
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	fogparms ( .2 .3 1 ) 1024
	surfaceparm nolightmap
	cull disable
	tesssize 128
	deformVertexes wave 200 sin 1 10 1 .1

	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		tcMod turb 1 .1 1 .1
	}
	{
		map textures/sfx/bolts.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
		tcMod scroll -0.15 0.15
	}
}

textures/shadow_faust/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/shadow_faust/q1_tele
{
	qer_editorimage textures/shadow_faust/q1_tele.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tessSize 128
	q3map_surfacelight 25

	{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/shadow_faust/q1_tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
	}
}

textures/shadow_faust/red_water
{
	qer_editorimage textures/liquids/pool3d_5e.tga
	q3map_globaltexture
	qer_trans .20
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	fogparms ( 1 .3 .2 ) 1024
	surfaceparm nolightmap
	cull disable
	tesssize 128
	deformVertexes wave 200 sin 1 10 1 .1

	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		tcMod turb 1 .1 1 .1
	}
	{
		map textures/sfx/bolts.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
		tcMod scroll -0.15 0.15
	}
}

textures/shadow_faust/shadowsky
{
	q3map_lightimage textures/skies/pjbasesky.tga
	q3map_lightsubdivide 120
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .5 .6 .8 180 225 55
	q3map_surfacelight 150
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -

	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
